import javax.xml.stream.XMLOutputFactory;
import javax.xml.stream.XMLStreamWriter;

public class XMLStreamWriterDemo {
    public static void main(String[] args) throws Exception {
        
        // Create XMLOutputFactory
        XMLOutputFactory factory = XMLOutputFactory.newInstance();
        
        // Create XMLStreamWriter to System.out
        XMLStreamWriter writer =
                factory.createXMLStreamWriter(System.out);
        
        // Write the start document (XML version 1.0)
        writer.writeStartDocument("1.0");
        
        // Write root element catalog
        writer.writeStartElement("catalog");
        
        // Write element book under catalog
        writer.writeStartElement("book");
        // Write the id attribute for <book>
        writer.writeAttribute("id", "1");
        
        // write element code with value I001
        writer.writeStartElement("code");
        writer.writeCharacters("I001");
        writer.writeEndElement();
        
        // Write element title under <book>
        writer.writeStartElement("title");
        writer.writeCharacters("German-English Dictionary");
        writer.writeEndElement();
        
        // Write element price under <book>
        writer.writeStartElement("price");
        writer.writeCharacters("$22.95");
        writer.writeEndElement();
        
        // write end element
        writer.writeEndDocument();
        
        // flush and close
        writer.flush();
        writer.close();
    }
}

